Name:		kde-cdemu
Version:	0.7.2
Release:	%mkrel 1
Summary:	CDEmu manager frontend for KF5
License:	GPLv3
Group:		Emulators
URL:		https://www.linux-apps.com/p/998461/
Source:		https://dl.opendesktop.org/api/files/download/id/1481242372/kde_cdemu-%{version}.tar.bz2
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5DBusAddons)

Requires:	cdemu-client
Provides:	%{name}-manager = %{version}-%{release}

%description
KDE CDEmu Manager is a simple Qt5/Kf5 frontend for CDEmu.

It provides a little manager window that gives you an overview
of your virtual drives and allows you to mount and unmount images.
It also includes a KDE service menu for mounting images directly
from Dolphin/Konqueror (which is what most people will want to use).
Images can be unmounted like any other media through Dolphin or the
Device Notifier plasmoid.

%prep
%setup -qn kde_cdemu

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang kde_cdemu

%files -f kde_cdemu.lang
%doc ChangeLog
%{_kf5_bindir}/kde_cdemu
%{_kf5_applicationsdir}/org.kde.kde_cdemu.desktop
%{_kf5_services}/ServiceMenus/kde_cdemu_mount.desktop


%changelog
* Fri Dec 09 2016 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 1073761
- new version: 0.7.2

* Tue Dec 06 2016 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 1072847
- new version: 0.7.1
- switch again to the official project

* Mon Oct 10 2016 daviddavid <daviddavid> 0.6.2-1.mga6
+ Revision: 1059939
- initial package kde-cdemu based on Qt5/KF5 (mga#3449)

